package schedframe.events.scheduling;

import schedframe.events.Event;
import schedframe.events.EventCommand;
import schedframe.resources.computing.ComputingResource;

public class SchedulingEventCommand implements EventCommand {

	private ComputingResource compResource;
	
	public SchedulingEventCommand (ComputingResource compResource) {
		this.compResource = compResource;
	}
	
	public void execute(Event event) {
		SchedulingEvent ev = new ResourceStateChangedEvent(compResource.getFullName(), event.getType());
		ev.setSource(compResource.getFullName());
		compResource.getEventHandler().handleSchedulingEvent(ev);
	}

}
